> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List public disk snapshots.

> List all public disk snapshots that are available to all users.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/devboxes/disk_snapshots/list_public
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/devboxes/disk_snapshots/list_public:
    get:
      tags:
        - Devbox
        - Devbox-PersistenceTools
      summary: List public disk snapshots.
      description: List all public disk snapshots that are available to all users.
      operationId: listPublicSnapshots
      parameters:
        - name: devbox_id
          in: query
          description: Devbox ID to filter by.
          allowEmptyValue: true
          schema:
            type: string
        - name: source_blueprint_id
          in: query
          description: Source Blueprint ID to filter snapshots by.
          allowEmptyValue: true
          schema:
            type: string
        - name: metadata[key]
          in: query
          description: >-
            Filter snapshots by metadata key-value pair. Can be used multiple
            times for different keys.
          allowEmptyValue: true
          schema:
            type: string
        - name: metadata[key][in]
          in: query
          description: >-
            Filter snapshots by metadata key with multiple possible values (OR
            condition).
          allowEmptyValue: true
          schema:
            type: string
        - name: limit
          in: query
          description: The limit of items to return. Default is 20. Max is 5000.
          allowEmptyValue: true
          schema:
            type: integer
            format: int32
        - name: starting_after
          in: query
          description: >-
            Load the next page of data starting after the item with the given
            ID.
          allowEmptyValue: true
          schema:
            type: string
        - name: include_total_count
          in: query
          description: >-
            If true (default), includes total_count in the response. Set to
            false to skip the count query for better performance on large
            datasets.
          allowEmptyValue: true
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DevboxDiskSnapshotListView'
components:
  schemas:
    DevboxDiskSnapshotListView:
      type: object
      properties:
        snapshots:
          type: array
          items:
            $ref: '#/components/schemas/DevboxDiskSnapshotView'
          description: List of snapshots matching filter.
        has_more:
          type: boolean
        total_count:
          format: int32
          type:
            - integer
            - 'null'
      required:
        - snapshots
        - has_more
    DevboxDiskSnapshotView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the snapshot.
        name:
          description: (Optional) The custom name of the snapshot.
          type:
            - string
            - 'null'
        create_time_ms:
          type: integer
          format: int64
          description: Creation time of the Snapshot (Unix timestamp milliseconds).
        metadata:
          type: object
          additionalProperties:
            type: string
          description: User defined metadata associated with the snapshot.
        source_devbox_id:
          type: string
          description: The source Devbox ID this snapshot was created from.
        source_blueprint_id:
          description: (Optional) The source Blueprint ID this snapshot was created from.
          type:
            - string
            - 'null'
        commit_message:
          description: (Optional) The commit message of the snapshot (max 1000 characters).
          type:
            - string
            - 'null'
        size_bytes:
          format: int64
          description: >-
            (Optional) The size of the snapshot in bytes, relative to the base
            blueprint.
          type:
            - integer
            - 'null'
      required:
        - id
        - create_time_ms
        - metadata
        - source_devbox_id
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````